summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHerb Lewis <herb@samba.org>2002-03-21 23:42:54 +0000
committerHerb Lewis <herb@samba.org>2002-03-21 23:42:54 +0000
commit87eb1ffd5577c2cd3f0524da3ff7ffce0b407825 (patch)
treed9230ec4f9ba6500289bf8e3633e9b707dbb40f5
parentcd94f6cb634ff5349f1f36883b08e2416c80434a (diff)
downloadsamba-87eb1ffd5577c2cd3f0524da3ff7ffce0b407825.tar.gz
samba-87eb1ffd5577c2cd3f0524da3ff7ffce0b407825.tar.bz2
samba-87eb1ffd5577c2cd3f0524da3ff7ffce0b407825.zip
make install should also install the default dat files from codepages
directory so we don't keep getting these stupid error messages about incorrect size for valid.dat upcase.dat and lowcase.dat (This used to be commit 4af0c7a93f626dde33fd737618c2b786f83046c7)
-rw-r--r--source3/Makefile.in5
-rwxr-xr-xsource3/script/installdat.sh23
2 files changed, 27 insertions, 1 deletions
diff --git a/source3/Makefile.in b/source3/Makefile.in
index da078523ec..e8c9f6ea3b 100644
--- a/source3/Makefile.in
+++ b/source3/Makefile.in
@@ -755,7 +755,7 @@ bin/tdbbackup: $(TDBBACKUP_OBJ) bin/.dummy
@echo Linking $@
@$(CC) $(FLAGS) -o $@ $(TDBBACKUP_OBJ)
-install: installbin installman installscripts installswat
+install: installbin installman installscripts installdat installswat
installdirs:
@$(SHELL) $(srcdir)/script/installdirs.sh $(BASEDIR) $(BINDIR) $(SBINDIR) $(LIBDIR) $(VARDIR) $(PRIVATEDIR)
@@ -770,6 +770,9 @@ installbin: all installdirs
installscripts: installdirs
@$(SHELL) $(srcdir)/script/installscripts.sh $(INSTALLPERMS) $(BINDIR) $(SCRIPTS)
+installdat: installdirs
+ @$(SHELL) $(srcdir)/script/installdat.sh $(LIBDIR) $(srcdir)
+
installswat: installdirs
@$(SHELL) $(srcdir)/script/installswat.sh $(SWATDIR) $(srcdir)
diff --git a/source3/script/installdat.sh b/source3/script/installdat.sh
new file mode 100755
index 0000000000..7ff88ac788
--- /dev/null
+++ b/source3/script/installdat.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+#fist version March 2002, Herb Lewis
+
+DATDIR=$1
+SRCDIR=$2/
+
+echo Installing dat files in $DATDIR
+
+for f in $SRCDIR/codepages/*.dat; do
+ FNAME=$DATDIR/`basename $f`
+ echo $FNAME
+ cp $f $FNAME || echo Cannot install $FNAME. Does $USER have privileges?
+ chmod 0644 $FNAME
+done
+
+cat << EOF
+======================================================================
+The dat files have been installed.
+======================================================================
+EOF
+
+exit 0
+